# The upstream version
%global upver 2.9.6.1
# The project url on the forge
%global forgeurl https://github.com/skarnet/execline/
# The tag being packaged
%global tag v%{upver}
# The commit being packaged
%global commit 32ed930a967c83c5b683d1d22c286b46a9f792ea
# The alternative bin directory for execline
%global _execdir %{_prefix}/exec

%forgemeta


Name:       execline
Version:    %{upver}
Release:    %{autorelease}
Summary:    The execline scripting language
URL:        %{forgeurl}
License:    ISC
Source0:    %{forgesource}
Source1:    macros.execline.tpl
Patch0:     00-fix-links.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  skalibs-devel >= 2.14

Requires:   %{name}-libs >= %{version}

%description
execline is a scripting language unlike any other in that
it has no resident interpreter. It reads a script, turns it
into a single command line, and executes into that command
line; control is performed by executables run inside the
command line itself.


%package doc
Summary: execline Documentaion

%description doc
The execline Documentaion package.


%package libs
Summary:    The execline library files
Requires:   %{name} >= %{version}

%description libs
The execline library package.


%package devel
Summary:    execline Development files
Requires:   %{name} >= %{version}
Requires:   skalibs-devel >= 2.14

%description devel
The execline development package.


%prep
%forgeautosetup
: Create RPM Macros
sed -e 's,@EXECLINE_EXECDIR@,%{_execdir},' \
    %{SOURCE1} | tee macros.%{name}


%build
%configure \
    --bindir=%{_execdir} \
    --shebangdir=%{_execdir} \
    --dynlibdir=%{_libdir} \
    --with-sysdeps=%{_sysdepsdir} \
    --with-include=%{_includedir} \
    --with-lib=%{_libdir} \
    --with-dynlib=%{_libdir} \
    --enable-shared \
    --disable-allstatic \
    --disable-static
%make_build


%install
%make_install
install -p -m 0644 -D -t %{?buildroot}%{_rpmmacrodir} macros.%{name}


%check
: TODO Check


%files
%license COPYING
%{_execdir}/background
%{_execdir}/backtick
%{_execdir}/case
%{_execdir}/cd
%{_execdir}/define
%{_execdir}/dollarat
%{_execdir}/elgetopt
%{_execdir}/elgetpositionals
%{_execdir}/elglob
%{_execdir}/eltest
%{_execdir}/emptyenv
%{_execdir}/envfile
%{_execdir}/exec
%{_execdir}/execline-cd
%{_execdir}/execline-umask
%{_execdir}/execlineb
%{_execdir}/exit
%{_execdir}/export
%{_execdir}/fdblock
%{_execdir}/fdclose
%{_execdir}/fdmove
%{_execdir}/fdreserve
%{_execdir}/fdswap
%{_execdir}/forbacktickx
%{_execdir}/foreground
%{_execdir}/forstdin
%{_execdir}/forx
%{_execdir}/getcwd
%{_execdir}/getpid
%{_execdir}/heredoc
%{_execdir}/homeof
%{_execdir}/if
%{_execdir}/ifelse
%{_execdir}/ifte
%{_execdir}/ifthenelse
%{_execdir}/importas
%{_execdir}/loopwhilex
%{_execdir}/multidefine
%{_execdir}/multisubstitute
%{_execdir}/pipeline
%{_execdir}/piperw
%{_execdir}/posix-cd
%{_execdir}/posix-umask
%{_execdir}/redirfd
%{_execdir}/runblock
%{_execdir}/shift
%{_execdir}/trap
%{_execdir}/tryexec
%{_execdir}/umask
%{_execdir}/unexport
%{_execdir}/wait
%{_execdir}/withstdinas


%files doc
%doc doc/


%files libs
%{_libdir}/libexecline.so*


%files devel
%{_rpmmacrodir}/macros.%{name}
%{_includedir}/execline/*


%changelog
%{autochangelog}
